1

I'am trying set up my LazyVim and i would like to have haskell-tools working.

I can't figure out, where start looking for problem, in my ubuntu system i got several version of GHC, HLS installed via GHCup. Config of plugin is below.

Problem is i don't have clue what is wrong beside note (from nvim) "Client <x> quite with exit code 1 and signal 0." I didn't find that useful, I don't know what that actually means. Except this clue i can't see any command of haskell-tool.nvim in nvim's cmd. :checkhealth haskell-tools and :LspInfo seems heatlhy.

Can someone point me to what check or try?

This is my config of haskell-tools:

-- haskell-tools.lua
return {
    "mrcjkb/haskell-tools.nvim",
    dependencies = {
        "nvim-lua/plenary.nvim",
        "nvim-telescope/telescope.nvim",
    },
    version = "^3", -- Recommended
    -- branch = "2.x.x", -- Recommended
    config = function() -- Optional, see Advanced configuration
        vim.g.haskell_tools = {}
    end,
    -- load the plugin when opening one of the following file types
    ft = { "haskell", "lhaskell", "cabal", "cabalproject" },
}
3
  • Welcome to Vim. Could you tell us where exactly (in which file and where on the disk) did you put the configuration you refer to in your question (where is haskell-tools.lua and how did you referenced it in your general configuration) Feb 18 at 17:40
  • 1
    @VivianDeSmedt I am following lazyvi documentation. I put haskell-tools.lua inside ~/.config/nvim/lua/plugins folder. From this folder are my all plugins, i am using, loaded. Feb 18 at 20:40
  • Do you still have something open in your question? How can we help you further? Otherwise maybe could you accept one of the answers using the v button next to the arrow voting buttons. It allow the question to rest :-) Feb 21 at 3:28

1 Answer 1

1

Here is what I did to have haskell-tools running on my LazyVim system:

return {
    {
        'mrcjkb/haskell-tools.nvim',
        version = '^3', -- Recommended
        ft = { 'haskell', 'lhaskell', 'cabal', 'cabalproject' },
    }
}
  • Add the following haskell-tool.lua in ~/.config/nvim/lua/config folder
-- haskell-tools.lua
return {
    "mrcjkb/haskell-tools.nvim",
    dependencies = {
        "nvim-lua/plenary.nvim",
        "nvim-telescope/telescope.nvim",
    },
    version = "^3", -- Recommended
    -- branch = "2.x.x", -- Recommended
    config = function() -- Optional, see Advanced configuration
        vim.g.haskell_tools = {}
    end,
    -- load the plugin when opening one of the following file types
    ft = { "haskell", "lhaskell", "cabal", "cabalproject" },
}
  • Restart LazyVim

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.